<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'Home::index');


$routes->post('/digibko/v1/identity/token',   'DigiFiAuth::startBkoToken');
$routes->get('/digibko/v1/loan/started',      'BkoReports::startedApplication');


$routes->get('/digibko/v1/dashboard/bvn/recent',   'DigiFiAuth::startBkoToken');
$routes->get('/digibko/v1/applications/pending',   'BkoReports::pendingApplication');

$routes->post('/digiusers/v1/bvn',                  'DigiFiBVN::startBVNVerify');
$routes->post('/digiusers/v1/bvn/verify',           'DigiFiBVN::completeBVNVerify');

$routes->get('/digiusers/v1/dash',                 'Users::userDash');
$routes->get('/digiusers/v1/profile',              'Users::userProfile');


$routes->post('/digiusers/v1/loan/apply',           'Loan::loanApply');
$routes->get('/digiusers/v1/loan/loanlist',        'Loan::loanlist');


